/*     */ package cn.com.esgcc.ai.matrix.sdk.esgccenum;
/*     */ 
/*     */

import java.util.ArrayList;
import java.util.List;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public enum ExceptionEnum
/*     */ {
/*  14 */   COMMON_ERROR_1B("1b", "00001b000", "系统错误"),
/*     */ 
/*     */   
/*  17 */   COMMON_SUCCESS_1B("1b", "00001b001", "成功"),
/*     */ 
/*     */   
/*  20 */   TASK_PARAMETER_ERROR_400("1b", "00001b400", "taskId参数错误"),
/*  21 */   URL_PARAMETER_ERROR_401("1b", "00001b401", "url参数错误"),
/*  22 */   PARAMS_PARAMETER_ERROR_402("1b", "00001b402", "params参数错误"),
/*  23 */   IMG_ERROR_403("1b", "00001b403", "图像内容错误或图像格式、编码不支持或图像最短边小于15px、最长边大于4096px"),
/*  24 */   URL_LENGTH_ERROR_404("1b", "00001b404", "URL长度不能超过1024个字节"),
/*  25 */   IMG_LENGTH_ERROR_405("1b", "00001b405", "图像内容大小不能超过4M"),
/*  26 */   IMG_URL_ERROR_406("1b", "00001b406", "img和url参数不能同时为空"),
/*  27 */   IMG_URL_ERROR_407("1b", "00001b407", "img和url参数不能同时存在"),
/*  28 */   SOURCE_ERROR_408("1b", "00001b408", "sourcePath参数为空或者对应的文件不存在，请检查"),
/*  29 */   SOURCE_ERROR_409("1b", "00001b409", "sourcePath对应的不是一个文件，请检查"),
/*  30 */   URL_ERROR_410("1b", "00001b410", "url不可用或者无法获取图像，请检查"),
/*  31 */   REQUEST_ERROR_411("1b", "00001b411", "请求速度超过了服务的处理能力，请降低qps或者稍后再试"),
/*  32 */   PDF_ERROR_412("1b", "00001b412", "PDF文件不能超过10M"),
/*  33 */   PDF_LENGTH_ERROR_413("1b", "00001b413", "PDF文件页数不能超过100"),
/*  34 */   INVALID_SERVICE_ERROR_501("1b", "00001b501", "无效的服务类型"),
/*  35 */   INVALID_ERROR_502("1b", "00001b502", "无效或者未授权的识别能力，如需开通更多识别能力请联系读光购买"),
/*  36 */   LICENSE_ERROR_503("1b", "00001b503", "当前license额度已经用完"),
/*  37 */   LICENSE_ERROR_504("1b", "00001b504", "无法获取license信息，请确认加密锁是否安装正确或者联系读光团队技术同学"),
/*  38 */   LICENSE_ERROR_505("1b", "00001b505", "license信息错误，请确认加密锁是否安装正确或者联系读光团队技术同学"),
/*  39 */   LICENSE_ERROR_508("1b", "00001b508", "获取license信息持续失败，请确认加密锁安装正确后并重启应用或者联系读光团队"),
/*  40 */   ACCESS_ERROR_509("1b", "00001b509", "签名未授权，请通过正确的url访问"),
/*  41 */   IMG_ERROR_513("1b", "00001b513", "获取图像内容错误:"),
/*  42 */   REQUEST_ERROR_515("1b", "00001b515", "ocr请求失败，respondCode："),
/*  43 */   RESPONSE_ERROR_515("1b", "00001b515", "ocr服务返回结果为空"),
/*  44 */   OCR_SERVICE_ERROR_517("1b", "00001b517", "ocr服务错误"),
/*  45 */   REPETITION_ERROR_519("1b", "00001b519", "不允许在一台物理机上启动多个读光服务"),
/*  46 */   IMG_ERROR_520("1b", "00001b520", "混贴切图失败，请稍后重试"),
/*  47 */   TIME_EXPIRE_ERROR_523("1b", "00001b523", "测试license时间到期"),
/*  48 */   IMG_SERVICE_ERROR_525("1b", "00001b525", "图像和服务类型不匹配"),
/*     */ 
/*     */   
/*  51 */   PARAMS_NULL_1B("1b", "00101b001", "参数为空"),
/*  52 */   PARAMS_INCOMPLETE_1B("1b", "00101b002", "参数不全"),
/*  53 */   PARAMS_TYPE_1B("1b", "00101b003", "参数类型错误"),
/*  54 */   PARAMS_INVALID_1B("1b", "00101b004", "参数无效"),
/*  55 */   PARAMS_LENGTH_1B("1b", "00101b005", "参数长度错误"),
/*  56 */   PARAMS_ANALYSIS_1B("1b", "00101b006", "参数解析失败错误"),
/*  57 */   PARAMS_SIGN_1B("1b", "00101b006", "参数验签错误"),
/*     */ 
/*     */   
/*  60 */   USER_NOT_EXIST_1B("1b", "00201b001", "用户不存在"),
/*  61 */   USER_NOT_LOGIN_1B("1b", "00201b002", "用户未登录"),
/*  62 */   USER_SESSION_TIMEOUT_1B("1b", "00201b007", "会话过期，请重新登录"),
/*  63 */   USER_PASSWORD_1B("1b", "00201b003", "用户名或密码错误"),
/*  64 */   USER_ACCOUNT_DISABLE_1B("1b", "00201b004", "用户账户被禁用"),
/*  65 */   USER_HAVE_EXIST_1B("1b", "00201b005", "用户已存在"),
/*  66 */   USER_VERIFITION_CODE_1B("1b", "00201b006", "验证码信息错误"),
/*  67 */   USER_ROLE_IN_USE_1B("1b", "00201b008", "角色删除失败,尚有用户属于此角色"),
/*     */ 
/*     */ 
/*     */   
/*  71 */   BIZ_TOKEN_ERROR_1B("1b", "00301b001", "token验证失败"),
/*  72 */   BIZ_TOKEN_INVALID_1B("1b", "00301b002", "token失效"),
/*  73 */   BIZ_IP_SEND_SMS_TOO_MUCH_1B("1b", "00301b003", "当前ip发送短信过多"),
/*  74 */   BIZ_MOBILE_SEND_SMS_TOO_MUCH_1B("1b", "00301b004", "当前手机号发送短信过多"),
/*  75 */   BIZ_USER_NEW_OLD_SAME_1B("1b", "00301b005", "旧密码和新密码一样"),
/*  76 */   BIZ_USER_OLD_PED_ERROR_1B("1b", "00301b006", "旧密码输入错误"),
/*  77 */   BIZ_USER_REFUSE_SETTLED_PROTOCOL_1B("1b", "00301b007", "商户不同意商户入驻协议条款"),
/*  78 */   BIZ_DROOLS_RELOAD_ERROR_1B("1b", "00301b008", "drools规则规则重新加载错误"),
/*  79 */   BIZ_NO_FACE_IMAGE_ERROR_1B("1b", "00301b009", "未检测到人脸信息"),
/*  80 */   BIZ_NO_RESULT_ERROR_1B("1b", "00301b010", "未审核完成"),
/*  81 */   BIZ_AUDIT_ERROR_1B("1b", "00301b011", "审核失败"),
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  88 */   SYSTEM_ARRAY_1B("1b", "00401b001", "数组下标越界"),
/*  89 */   SYSTEM_ARITHMETIC_1B("1b", "00401b002", "数学计算异常"),
/*  90 */   SYSTEM_NULLPOINTER_1B("1b", "00401b003", "空指针异常"),
/*  91 */   SYSTEM_CLASS_CAST_1B("1b", "00401b004", "类型转换异常"),
/*  92 */   SYSTEM_NEGATIVE_ARRAY_1B("1b", "00401b005", "数组负下标异常"),
/*  93 */   SYSTEM_SECTURITY_1B("1b", "00401b006", "违背安全原则"),
/*  94 */   SYSTEM_EOF_FILE_1B("1b", "00401b007", "文件已结束"),
/*  95 */   SYSTEM_FILE_NOT_FOUND_1B("1b", "00401b008", "文件未找到"),
/*  96 */   SYSTEM_NUMBER_FORMAT_1B("1b", "00401b009", "字符串转换为数字错误"),
/*  97 */   SYSTEM_SQL_1B("1b", "00401b00a", "SQL错误"),
/*  98 */   SYSTEM_IO_1B("1b", "00401b00b", "输入输出错误"),
/*  99 */   SYSTEM_NO_SUCH_METHOD_1B("1b", "00401b00c", "找不到方法"),
/* 100 */   SYSTEM_ARRYA_STORE_1B("1b", "00401b00d", "数组存储异常"),
/* 101 */   SYSTEM_CLASS_NOT_FOUND_1B("1b", "00401b00e", "找不到类"),
/* 102 */   SYSTEM_CLONE_NOT_SUPPORT_1B("1b", "00401b00f", "不支持克隆"),
/* 103 */   SYSTEM_ENUM_CONSTANT_1B("1b", "00401b010", "枚举常量不存在"),
/* 104 */   SYSTEM_ILLEGALACCESS_1B("1b", "00401b011", "违法的访问"),
/* 105 */   SYSTEM_INTERRUPTED_1B("1b", "00401b012", "线程打断"),
/* 106 */   SYSTEM_NO_SUCH_FIELD_1B("1b", "00401b013", "找不到字段"),
/* 107 */   RPC_1B("1b", "00401b014", "RPC调用异常"),
/* 108 */   SQL_TRANSACTION_1B("1b", "00401b015", "事务异常"),
/*     */ 
/*     */ 
/*     */   
/* 112 */   DATA_NOT_FOUND_1B("1b", "00501b001", "数据未找到"),
/* 113 */   DATA_WRONG_1B("1b", "00501b002", "数据有误"),
/* 114 */   DATA_HAVE_EXIST_1B("1b", "00501b003", "数据已存在"),
/* 115 */   DATA_REPETE_INSERT_1B("1b", "00501b004", "数据重复插入"),
/* 116 */   DATA_REPETE_CODE_1B("1b", "00501b005", "编码重复"),
/*     */ 
/*     */   
/* 119 */   INTERFACE_INNER_SYSTEM_1B("1b", "00601b001", "系统内部接口调用异常"),
/* 120 */   INTERFACE_OUTER_SYSTEM_1B("1b", "00601b002", "系统外部接口调用异常"),
/* 121 */   INTERFACE_BLOCKING_ACCESS_1B("1b", "00601b003", "接口禁止访问"),
/* 122 */   INTERFACE_INVALID_ADDRESS_1B("1b", "00601b004", "接口地址无效"),
/* 123 */   INTERFACE_TIMEOUT_1B("1b", "00601b005", "接口请求超时"),
/* 124 */   INTERFACE_TOO_BUSY_1B("1b", "00601b006", "接口负载过高"),
/* 125 */   PARAMS_PROCESSING_1B("1b", "00601b007", "业务处理中"),
/* 126 */   FLOW_EXCEPTION_1B("1b", "00601b008", "接口限流"),
/* 127 */   DEGRADE_EXCEPTION_1B("1b", "00601b009", "服务降级"),
/* 128 */   PARAM_FLOW_EXCEPTION_1B("1b", "00601b010", "热点参数限流"),
/* 129 */   SYSTEM_BLOCK_EXCEPTION_1B("1b", "00601b011", "系统规则（负载/...不满足要求"),
/* 130 */   AUTHORITY_EXCEPTION_1B("1b", "00601b012", "授权规则不通过"),
/*     */   
/* 132 */   NOT_AUTHORITY_1B("1b", "00701b001", "没有访问权限，请联系管理员"),
/* 133 */   DATA_UNAUTHORIZED_1B("1b", "00701b002", "数据越权"),
/* 134 */   AUTHORITY_CSRF_1B("1b", "00701b003", "csrf"),
/* 135 */   AUTHORITY_XSS_1B("1b", "00701b004", "非法字符"),
/* 136 */   DATA_REPETITION_1B("1b", "00701b005", "已通过审核，请勿修改数据"),
/* 137 */   DATA_STOP_1B("1b", "00701b006", "已停用，请勿重复操作"),
/* 138 */   DATA_AUDIT_1B("1b", "00701b007", "审核状态非通过，请勿进行关停操作"),
/*     */   
/* 140 */   SERVICE_UNAVAILABLE("1b", "00701b999", "服务暂时不可用");
/*     */   
/*     */   public static final String note = "九位十六进制错误码：第一位、第二位、第三位：错误类型；第四位、第五位、第六位：产品线；第七位、第八位、第九位：具体异常错误  第一二三位编码为000，则表示通用错误类型";
/*     */   
/*     */   public static final String readMe = "错误类型：000最大错误类型，001参数错误，002用户错误，003业务错误 自定义异常，004系统错误 运行时异常，005数据错误，006接口错误，007权限错误 ";
/*     */   
/*     */   public static final String tip = "第四位、第五位、第六位：产品线：001前置机,002供应商全息多维评价,003内容中心，004电商中心，005订单中心，006网上国网，007物流中心，008电E连，009国网商城 ，00a 零星物资，00b 集体企业 , 00c 工程中心,00d 招投标，00e 央企联盟 , 00f 国际站 , 010 结算中心 , 011 电动汽车 , 012 综合能源 ,013 商品中心 , 014 网关 , 015 数据中台 , 016 星河设计开放平台 , 017 光伏云 , 018 跨境电商 , 019 双创平台 , 030 供应商中心 , 01b AI中心 ";
/*     */   private String project;
/*     */   private String resultCode;
/*     */   private String resultMsg;
/*     */   
/*     */   ExceptionEnum(String project, String resultCode, String resultMsg) {
/* 152 */     this.project = project;
/* 153 */     this.resultCode = resultCode;
/* 154 */     this.resultMsg = resultMsg;
/*     */   }
/*     */   public String getProject() {
/* 157 */     return this.project;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public String getResultCode() {
/* 163 */     return this.resultCode;
/*     */   }
/*     */   public String getResultMsg() {
/* 166 */     return this.resultMsg;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static String getMsg(String resultCode) {
/* 175 */     for (ExceptionEnum c : values()) {
/* 176 */       if (resultCode.equals(c.getResultCode())) {
/* 177 */         return c.resultMsg;
/*     */       }
/*     */     } 
/* 180 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static ExceptionEnum getExceptionEnumByCode(String resultCode) {
/* 188 */     for (ExceptionEnum eEnum : values()) {
/* 189 */       if (resultCode.equals(eEnum.getResultCode())) {
/* 190 */         return eEnum;
/*     */       }
/*     */     } 
/* 193 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static List<ExceptionEnum> getExceptionEnums(String project) {
/* 201 */     List<ExceptionEnum> ees = new ArrayList<>();
/* 202 */     for (ExceptionEnum eEnum : values()) {
/* 203 */       if (project.equals(eEnum.getProject())) {
/* 204 */         ees.add(eEnum);
/*     */       }
/*     */     } 
/* 207 */     return ees;
/*     */   }
/*     */ }


/* Location:              C:\Users\ningj\Desktop\java-sdk-1.0.0-SNAPSHOT\!\cn\com\esgcc\ai\matrix\sdk\esgccenum\ExceptionEnum.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.1.3
 */