package com.ruoyi.hywz.controller.stamp.tax;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxItemD;
import com.ruoyi.hywz.service.IAdsMatHyxtStampTaxItemDService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 印花税类目表 前端控制器
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-07-15 15:29:08
 */
@RestController
@AllArgsConstructor
@RequestMapping("adsMatHyxtStampTaxItemD")
@Api(value = "adsMatHyxtStampTaxItemD", tags = "印花税项目")
public class AdsMatHyxtStampTaxItemDController {

    private final IAdsMatHyxtStampTaxItemDService adsMatHyxtStampTaxItemDService;

    @ApiOperation(value = "印花税类目", notes = "印花税类目")
    @PostMapping("/queryList")
    public R<List<AdsMatHyxtStampTaxItemD>> queryList() {
        return R.ok(adsMatHyxtStampTaxItemDService.getList(true));
    }

}
