package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * <p>
 * 财务入账凭证信息
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-04-19 17:21:23
 */
@Data
public class AdsMatHyxtMoneyVoucherD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 凭证编号
     */
    @ApiModelProperty(value = "凭证编号")
    private String voucherCode;

    /**
     * 科目名称
     */
    @ApiModelProperty(value = "科目名称")
    private String subjectName;

    /**
     * 借方发生额
     */
    @ApiModelProperty(value = "借方发生额")
    private String jieMoney;

    /**
     * 贷方发生额
     */
    @ApiModelProperty(value = "贷方发生额")
    private String daiMoney;

    /**
     * 单项工程
     */
    @ApiModelProperty(value = "单项工程")
    private String singleProject;

    /**
     * 往来单位
     */
    @ApiModelProperty(value = "往来单位")
    private String dealingsUnit;


}
