package com.ruoyi.hywz.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 【印花税】印花税计算单记账凭证
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-07-29 15:59:04
 */
@Data
public class AdsMatHyxtStampTaxComputeVoucherD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableField(exist = false)
    @ExcelIgnore
    private Integer no;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 计算单批次id
     */
    @ApiModelProperty(value = "计算单批次id")
    private String computeId;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String dw;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String dwOrg;

    /**
     * 会计账期
     */
    @ApiModelProperty(value = "会计账期")
    private String kjzq;

    /**
     * 制证日期
     */
    @ApiModelProperty(value = "制证日期")
    private String zzrq;

    /**
     * 业务日期
     */
    @ApiModelProperty(value = "业务日期")
    private String ywrq;

    /**
     * 凭证编号
     */
    @ApiModelProperty(value = "凭证编号")
    private String pzbh;

    /**
     * 集团编号
     */
    @ApiModelProperty(value = "集团编号")
    private String jtbh;

    /**
     * 凭证申请编号
     */
    @ApiModelProperty(value = "凭证申请编号")
    private String pzsqbh;

    /**
     * 单据申请编号
     */
    @ApiModelProperty(value = "单据申请编号")
    private String djsqbh;

    /**
     * 创建用户id
     */
    @ApiModelProperty(value = "创建用户id")
    private Long createUserId;

    /**
     * 创建用户账号
     */
    @ApiModelProperty(value = "创建用户账号")
    private String createUser;

    /**
     * 创建用户昵称
     */
    @ApiModelProperty(value = "创建用户昵称")
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 是否删除【0未删除 1已删除】
     */
    @ApiModelProperty(value = "是否删除【0未删除 1已删除】")
    private Integer isDeleted;

    /**
     * 总摘要
     */
    @ApiModelProperty(value = "总摘要")
    private String zzy;

    /**
     * 分录摘要
     */
    @ApiModelProperty(value = "分录摘要")
    private String flzy;

    /**
     * 科目编码
     */
    @ApiModelProperty(value = "科目编码")
    private String kmbm;

    /**
     * 科目名称
     */
    @ApiModelProperty(value = "科目名称")
    private String kmmc;

    /**
     * 管理对象
     */
    @ApiModelProperty(value = "管理对象")
    private String gldx;

    /**
     * 主辅标志
     */
    @ApiModelProperty(value = "主辅标志")
    private String zfbz;

    /**
     * 借方金额
     */
    @ApiModelProperty(value = "借方金额")
    private String jfje;

    /**
     * 贷方金额
     */
    @ApiModelProperty(value = "贷方金额")
    private String dfje;

    /**
     * 借方数量
     */
    @ApiModelProperty(value = "借方数量")
    private String jfsl;

    /**
     * 贷方数量
     */
    @ApiModelProperty(value = "贷方数量")
    private String dfsl;

    /**
     * 调整期
     */
    @ApiModelProperty(value = "调整期")
    private String tzq;

    /**
     * 制证人
     */
    @ApiModelProperty(value = "制证人")
    private String zzr;

    /**
     * 冲销
     */
    @ApiModelProperty(value = "冲销")
    private String cx;

    /**
     * 记账状态
     */
    @ApiModelProperty(value = "记账状态")
    private String jzzt;

    /**
     * 最后处理日期
     */
    @ApiModelProperty(value = "最后处理日期")
    private String zhclrq;

    /**
     * 本位币币种
     */
    @ApiModelProperty(value = "本位币币种")
    private String bwbbz;

    /**
     * 外币币种
     */
    @ApiModelProperty(value = "外币币种")
    private String wbbz;

    /**
     * 对账标志
     */
    @ApiModelProperty(value = "对账标志")
    private String dzbz;

    /**
     * 是否抵销
     */
    @ApiModelProperty(value = "是否抵销")
    private String sfdx;

    /**
     * 辅助维度
     */
    @ApiModelProperty(value = "辅助维度")
    private String fzwd;

    /**
     * 辅助借方金额
     */
    @ApiModelProperty(value = "辅助借方金额")
    private String fzjfje;

    /**
     * 辅助贷方金额
     */
    @ApiModelProperty(value = "辅助贷方金额")
    private String fzdfje;

    /**
     * 辅助借方数量
     */
    @ApiModelProperty(value = "辅助借方数量")
    private String fzjfsl;

    /**
     * 辅助贷方数量
     */
    @ApiModelProperty(value = "辅助贷方数量")
    private String fzdfsl;

    /**
     * 排序分
     */
    @ApiModelProperty(value = "排序分")
    private Integer sort;


}
