package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 印花税类目表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-07-15 15:29:08
 */
@Data
public class AdsMatHyxtStampTaxItemD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 分组名称
     */
    @ApiModelProperty(value = "分组名称")
    private String groupName;

    /**
     * 税目
     */
    @ApiModelProperty(value = "税目")
    private String itemName;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 计税依据
     */
    @ApiModelProperty(value = "计税依据")
    private String taxRateGist;

    /**
     * 税率
     */
    @ApiModelProperty(value = "税率")
    private String taxRate;

    /**
     * 排序分
     */
    @ApiModelProperty(value = "排序分")
    private Integer sort;

    /**
     * code
     */
    @ApiModelProperty(value = "code")
    private String code;

    /**
     * 创建用户id
     */
    @ApiModelProperty(value = "创建用户id")
    private String createUserId;

    /**
     * 创建用户账号
     */
    @ApiModelProperty(value = "创建用户账号")
    private String createUser;

    /**
     * 创建用户昵称
     */
    @ApiModelProperty(value = "创建用户昵称")
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 是否删除【0未删除 1已删除】
     */
    @ApiModelProperty(value = "是否删除【0未删除 1已删除】")
    private Integer isDeleted;

    @TableField(exist = false)
    private String tax1Fee;//一季度税额
    @TableField(exist = false)
    private String tax2Fee;//二季度税额
    @TableField(exist = false)
    private String tax3Fee;//三季度税额
    @TableField(exist = false)
    private String tax4Fee;//四季度税额
    @TableField(exist = false)
    private String tax1;//一季度纳税额
    @TableField(exist = false)
    private String tax2;//二季度纳税额
    @TableField(exist = false)
    private String tax3;//三季度纳税额
    @TableField(exist = false)
    private String tax4;//四季度纳税额
}
