package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * <p>
 * 【印花税】预警规则表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-08-20 09:35:44
 */
@Data
public class AdsMatHyxtStampTaxWarningRuleD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 风险描述
     */
    @ApiModelProperty(value = "风险描述")
    private String description;

    /**
     * 风险规则
     */
    @ApiModelProperty(value = "风险规则")
    private String rule;

    /**
     * 风险等级
     */
    @ApiModelProperty(value = "风险等级")
    private String level;

    /**
     * 数据来源【0合同信息表 1发票信息表】
     */
    @ApiModelProperty(value = "数据来源【0合同信息表 1发票信息表】")
    private Integer sourceType;

    /**
     * 预警类型
     */
    @ApiModelProperty(value = "预警类型")
    private String warningType;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sort;


}
