package com.ruoyi.hywz.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 【印花税】【智慧平台】发票信息表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-08-23 11:15:50
 */
@Data
public class AdsMatHyxtStampTaxZhptInvoiceD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    @ExcelIgnore
    private String id;

    /**
     * 发票类型
     */
    @ApiModelProperty(value = "发票类型")
    @ExcelProperty(value = "发票类型")
    private String invoiceType;

    /**
     * 发票状态
     */
    @ApiModelProperty(value = "发票状态")
    @ExcelProperty(value = "发票状态")
    private String invoiceStatus;

    /**
     * 发票代码
     */
    @ApiModelProperty(value = "发票代码")
    @ExcelProperty(value = "发票代码")
    private String invoiceCode;

    /**
     * 发票号码
     */
    @ApiModelProperty(value = "发票号码")
    @ExcelProperty(value = "发票号码")
    private String invoiceNumber;

    /**
     * 开票日期
     */
    @ApiModelProperty(value = "开票日期")
    @ExcelProperty(value = "开票日期")
    private String makeDate;

    /**
     * 合计金额
     */
    @ApiModelProperty(value = "合计金额")
    @ExcelProperty(value = "合计金额")
    private String totalAmt;

    /**
     * 发票税额
     */
    @ApiModelProperty(value = "发票税额")
    @ExcelProperty(value = "发票税额")
    private String invoiceTaxAmt;

    /**
     * 入账税额
     */
    @ApiModelProperty(value = "入账税额")
    @ExcelProperty(value = "入账税额")
    private String entryTaxAmt;

    /**
     * 价税合计
     */
    @ApiModelProperty(value = "价税合计")
    @ExcelProperty(value = "价税合计")
    private String amtTaxTotal;

    /**
     * 销方名称
     */
    @ApiModelProperty(value = "销方名称")
    @ExcelProperty(value = "销方名称")
    private String sellerName;

    /**
     * 经办部门
     */
    @ApiModelProperty(value = "经办部门")
    @ExcelProperty(value = "经办部门")
    private String handleDept;

    /**
     * 业务状态
     */
    @ApiModelProperty(value = "业务状态")
    @ExcelProperty(value = "业务状态")
    private String businessStatus;

    /**
     * 单据编号
     */
    @ApiModelProperty(value = "单据编号")
    @ExcelProperty(value = "单据编号")
    private String orderNo;

    /**
     * 凭证编号
     */
    @ApiModelProperty(value = "凭证编号")
    @ExcelProperty(value = "凭证编号")
    private String voucherNo;

    /**
     * 制证日期
     */
    @ApiModelProperty(value = "制证日期")
    @ExcelProperty(value = "制证日期")
    private String makeVoucherDate;

    /**
     * 制证人
     */
    @ApiModelProperty(value = "制证人")
    @ExcelProperty(value = "制证人")
    private String makeVoucherUser;

    /**
     * 用票单位
     */
    @ApiModelProperty(value = "用票单位")
    @ExcelProperty(value = "用票单位")
    private String useInvoiceOrgName;

    /**
     * 发票归属单位
     */
    @ApiModelProperty(value = "发票归属单位")
    @ExcelProperty(value = "发票归属单位")
    private String invoiceOwnerOrgName;

    /**
     * 创建用户id
     */
    @ApiModelProperty(value = "创建用户id")
    @ExcelIgnore
    private String createUserId;

    /**
     * 创建用户账号
     */
    @ApiModelProperty(value = "创建用户账号")
    @ExcelIgnore
    private String createUser;

    /**
     * 创建用户昵称
     */
    @ApiModelProperty(value = "创建用户昵称")
    @ExcelIgnore
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @ExcelIgnore
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @ExcelIgnore
    private Date updateTime;

    /**
     * 是否删除【0未删除 1已删除】
     */
    @ApiModelProperty(value = "是否删除【0未删除 1已删除】")
    @ExcelIgnore
    private Integer isDeleted;

    /**
     * 创建用户单位
     */
    @ApiModelProperty(value = "创建用户单位")
    @ExcelIgnore
    private String createUserOrgNo;

    /**
     * 创建用户单位
     */
    @ApiModelProperty(value = "创建用户单位")
    @ExcelIgnore
    private String createUserOrgName;


}
