package com.ruoyi.hywz.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 【印花税】【智慧平台】科目明细表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-08-23 11:15:50
 */
@Data
public class AdsMatHyxtStampTaxZhptInvoiceItemD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    @ExcelIgnore
    private String id;

    /**
     * 发票id
     */
    @ApiModelProperty(value = "发票id")
    @ExcelIgnore
    private String invoiceId;

    /**
     * 发票代码
     */
    @ApiModelProperty(value = "发票代码")
    @ExcelIgnore
    private String invoiceCode;

    /**
     * 发票号码
     */
    @ApiModelProperty(value = "发票号码")
    @ExcelIgnore
    private String invoiceNumber;

    /**
     * 摘要
     */
    @ApiModelProperty(value = "摘要")
    @ExcelProperty(value = "摘要")
    private String zy;

    /**
     * 科目
     */
    @ApiModelProperty(value = "科目")
    @ExcelProperty(value = "科目")
    private String km;

    /**
     * 对象
     */
    @ApiModelProperty(value = "对象")
    @ExcelProperty(value = "对象")
    private String dx;

    /**
     * 业务日期
     */
    @ApiModelProperty(value = "业务日期")
    @ExcelProperty(value = "业务日期")
    private String ywrq;

    /**
     * 借方金额
     */
    @ApiModelProperty(value = "借方金额")
    @ExcelProperty(value = "借方金额")
    private String jfje;

    /**
     * 贷方金额
     */
    @ApiModelProperty(value = "贷方金额")
    @ExcelProperty(value = "贷方金额")
    private String dfje;

    /**
     * 创建用户id
     */
    @ApiModelProperty(value = "创建用户id")
    @ExcelIgnore
    private String createUserId;

    /**
     * 创建用户账号
     */
    @ApiModelProperty(value = "创建用户账号")
    @ExcelIgnore
    private String createUser;

    /**
     * 创建用户昵称
     */
    @ApiModelProperty(value = "创建用户昵称")
    @ExcelIgnore
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @ExcelIgnore
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @ExcelIgnore
    private Date updateTime;

    /**
     * 是否删除【0未删除 1已删除】
     */
    @ApiModelProperty(value = "是否删除【0未删除 1已删除】")
    @ExcelIgnore
    private Integer isDeleted;

    /**
     * 创建用户单位
     */
    @ApiModelProperty(value = "创建用户单位")
    @ExcelIgnore
    private String createUserOrgNo;

    /**
     * 创建用户单位
     */
    @ApiModelProperty(value = "创建用户单位")
    @ExcelIgnore
    private String createUserOrgName;


}
