package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * <p>
 * 应用表_项目域_物资全流程_项目财务基本信息_按日全量更新
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-04-17 09:40:18
 */
@Data
public class AdsPrjHywzqlcPrjFunInfoDf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 项目编码
     */
    @ApiModelProperty(value = "项目编码")
    private String projectNo;

    /**
     * wbs编码
     */
    @ApiModelProperty(value = "wbs编码")
    private String wbsNo;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String projectName;

    /**
     * 计划年份
     */
    @ApiModelProperty(value = "计划年份")
    private String planYear;

    /**
     * 概算金额
     */
    @ApiModelProperty(value = "概算金额")
    private String budgetary;

    /**
     * 概算批复文号
     */
    @ApiModelProperty(value = "概算批复文号")
    private String emApprovalNo;

    /**
     * 概算批复日期
     */
    @ApiModelProperty(value = "概算批复日期")
    private String budgetApvDt;

    /**
     * 结算金额
     */
    @ApiModelProperty(value = "结算金额")
    private String settlement;

    /**
     * 结算批复文号
     */
    @ApiModelProperty(value = "结算批复文号")
    private String smApprovalNo;

    /**
     * 结算完成日期
     */
    @ApiModelProperty(value = "结算完成日期")
    private String settlCmpltDt;

    /**
     * 投资计划文号
     */
    @ApiModelProperty(value = "投资计划文号")
    private String investPlanNum;

    /**
     * 投资计划下达日期
     */
    @ApiModelProperty(value = "投资计划下达日期")
    private String investPlanAssignDt;

    /**
     * 投资计划金额
     */
    @ApiModelProperty(value = "投资计划金额")
    private String investPlanAmt;

    /**
     * 决算批复文号
     */
    @ApiModelProperty(value = "决算批复文号")
    private String auditApvNum;

    /**
     * 决算完成日期
     */
    @ApiModelProperty(value = "决算完成日期")
    private String auditCmpltDt;

    /**
     * 决算金额（含税）
     */
    @ApiModelProperty(value = "决算金额（含税）")
    private String auditTaxAmt;

    /**
     * 决算金额（不含税）
     */
    @ApiModelProperty(value = "决算金额（不含税）")
    private String auditFreeTaxAmt;

    /**
     * 工程成本
     */
    @ApiModelProperty(value = "工程成本")
    private String engineCost;

    /**
     * 数据年月
     */
    @ApiModelProperty(value = "数据年月")
    private String dataYm;

    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    private String etlTm;


}
