package com.ruoyi.hywz.entity.po;

import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxComputeItemD;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author: jxh
 * @description:
 * @create: 2024/7/29
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class StampTaxComputeSavePO extends HomeStampTaxCountPO {

    @ApiModelProperty(value = "纳税人名称")
    private String taxPayer;

    @ApiModelProperty(value = "所属开始日期")
    private String startDate;

    @ApiModelProperty(value = "所属结束日期")
    private String endDate;

    @ApiModelProperty(value = "金额")
    private String amount;

    @ApiModelProperty(value = "明细")
    private List<AdsMatHyxtStampTaxComputeItemD> itemList;

}
