package com.ruoyi.hywz.entity.vo.stamp.tax;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author: jxh
 * @description:
 * @create: 2024/9/1
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HomeStampTaxCountVO {

    /** 合同数量 */
    private Integer contractNum;

    /** 发票数量 */
    private Integer invoiceNum;

    /** 风险待办数量 */
    private Integer warningNum;

    /** 账票关联数量 */
    private Integer zhptInvoiceNum;

    /** 【税基计算】计税金额 */
    private BigDecimal taxAmount;

    /** 【税金计算】应纳税合计 */
    private BigDecimal payTaxAmount;


}
