package com.ruoyi.hywz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.hywz.common.enums.InvoiceNodeEnum;
import com.ruoyi.hywz.entity.AdsMatHyxtInvoiceApplyD;
import com.ruoyi.hywz.entity.po.InvoiceApplyDetailPO;
import com.ruoyi.hywz.entity.po.InvoiceApplyPO;

/**
 * <p>
 * 发票申请单据表 服务类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-04-08 17:32:06
 */
public interface IAdsMatHyxtInvoiceApplyDService extends IService<AdsMatHyxtInvoiceApplyD> {

    /**
     * 申请单保存
     */
    void applySave(InvoiceApplyPO param);

    /**
     * 提交审核
     */
    R commitAudit(InvoiceApplyDetailPO param);

    /**
     * 撤回
     */
    void withdraw(InvoiceApplyDetailPO param);

    /**
     * 更新审核人
     */
    void updateAuditUser(String id, String au1, String au2, String au3, String au4, String au5, String au6);

    /**
     * 更新状态
     */
    void updateNode(String id, InvoiceNodeEnum node, String currentAuditUser, String currentAuditUserName, String currentAuditUserPhone);

}
