package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 【印花税】印花税计算单明细表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-07-29 10:21:44
 */
@Data
public class AdsMatHyxtStampTaxComputeItemD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 计算单批次id
     */
    @ApiModelProperty(value = "计算单批次id")
    private String computeId;

    /**
     * 税目
     */
    @ApiModelProperty(value = "税目")
    private String taxName;

    /**
     * 税率
     */
    @ApiModelProperty(value = "税率")
    private String taxRate;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     * 合同取数
     */
    @ApiModelProperty(value = "合同取数")
    private String contractNum;

    /**
     * 发票取数
     */
    @ApiModelProperty(value = "发票取数")
    private String invoiceNum;

    /**
     * 计税金额合计
     */
    @ApiModelProperty(value = "计税金额合计")
    private String totalNum;

    /**
     * 应纳税额
     */
    @ApiModelProperty(value = "应纳税额")
    private String taxNum;

    /**
     * 创建用户id
     */
    @ApiModelProperty(value = "创建用户id")
    private String createUserId;

    /**
     * 创建用户账号
     */
    @ApiModelProperty(value = "创建用户账号")
    private String createUser;

    /**
     * 创建用户昵称
     */
    @ApiModelProperty(value = "创建用户昵称")
    private String createUserName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 是否删除【0未删除 1已删除】
     */
    @ApiModelProperty(value = "是否删除【0未删除 1已删除】")
    private Integer isDeleted;

    /**
     * 序号
     */
    @TableField(exist = false)
    private Integer no;


}
