package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 合同/发票预警信息表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-09-12 18:01:36
 */
@Data
public class AdsMatHyxtStampTaxContractInvoiceD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 业务id
     */
    @ApiModelProperty(value = "业务id")
    private String businessId;

    /**
     * 预警类型
     */
    @ApiModelProperty(value = "预警类型")
    private String warningType;


    /**
     * 风险状态
     */
    @ApiModelProperty(value = "风险状态")
    private String warningStatusDesc;

    /**
     * 风险等级
     */
    @ApiModelProperty(value = "风险等级")
    private String warningLevel;

    /**
     * 预警时间
     */
    @ApiModelProperty(value = "预警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date warningTime;

    /**
     * 反馈内容
     */
    @ApiModelProperty(value = "反馈内容")
    private String warningRemark;

    @TableField(exist = false)
    private String rule;
    @TableField(exist = false)
    private String level;
    @TableField(exist = false)
    private String description;


}
