package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 待办任务表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-04-08 14:25:45
 */
@Data
public class AdsMatHyxtTaskRunD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 业务id
     */
    @ApiModelProperty(value = "业务id")
    private String businessId;

    /**
     * 任务名称
     */
    @ApiModelProperty(value = "任务名称")
    private String taskName;

    /**
     * 任务类型【0开票申请流程】
     */
    @ApiModelProperty(value = "任务类型【0开票申请流程】")
    private Integer taskType;

    /**
     * 申请用户id
     */
    @ApiModelProperty(value = "申请用户id")
    private Long applyUserId;

    /**
     * 申请用户账号
     */
    @ApiModelProperty(value = "申请用户账号")
    private String applyUser;

    /**
     * 申请用户昵称
     */
    @ApiModelProperty(value = "申请用户昵称")
    private String applyUserName;

    /**
     * 申请用户手机号
     */
    @ApiModelProperty(value = "申请用户手机号")
    private String applyUserPhone;

    /**
     * 当前节点
     */
    @ApiModelProperty(value = "当前节点")
    private Integer currentNode;

    /**
     * 节点标签
     */
    @ApiModelProperty(value = "节点标签")
    private String nodeLabel;

    /**
     * 任务用户id
     */
    @ApiModelProperty(value = "任务用户id")
    private Long ownerUserId;

    /**
     * 任务用户账号
     */
    @ApiModelProperty(value = "任务用户账号")
    private String ownerUser;

    /**
     * 任务用户昵称
     */
    @ApiModelProperty(value = "任务用户昵称")
    private String ownerUserName;

    /**
     * 任务用户手机号
     */
    @ApiModelProperty(value = "任务用户手机号")
    private String ownerUserPhone;

    /**
     * 状态【0待办】
     */
    @ApiModelProperty(value = "状态【0待办】")
    private Integer status;

    /**
     * 分支业务类型【0购买方财务人员 1销售方财务人员】
     */
    @ApiModelProperty(value = "分支业务类型【0购买方财务人员 1销售方财务人员】")
    private Integer branchType;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 是否删除【0未删除 1已删除】
     */
    @ApiModelProperty(value = "是否删除【0未删除 1已删除】")
    private Integer isDeleted;


}
