package com.ruoyi.hywz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 定时任务提醒记录表
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-04-15 11:23:49
 */
@Data
public class AdsMatHyxtTaskSendMsgLogD implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 单据id
     */
    @ApiModelProperty(value = "单据id")
    private String applyId;

    /**
     * 流程标识
     */
    @ApiModelProperty(value = "流程标识")
    private String nodeLabel;

    /**
     * 消息内容
     */
    @ApiModelProperty(value = "消息内容")
    private String msgContent;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long ownerUserId;

    /**
     * 用户账号
     */
    @ApiModelProperty(value = "用户账号")
    private String ownerUser;

    /**
     * 用户昵称
     */
    @ApiModelProperty(value = "用户昵称")
    private String ownerUserName;

    /**
     * 用户手机号码
     */
    @ApiModelProperty(value = "用户手机号码")
    private String ownerUserPhone;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 是否删除【0未删除 1已删除】
     */
    @ApiModelProperty(value = "是否删除【0未删除 1已删除】")
    private Integer isDeleted;

}
