package com.ruoyi.hywz.entity.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author: jxh
 * @description:
 * @create: 2024/4/10
 */
@Data
public class InvoiceApplyAuditPO {

    @ApiModelProperty("任务id")
    private String taskId;

    @ApiModelProperty("任务ids")
    private List<String> taskIds;

    @ApiModelProperty("单据id")
    private String businessId;

    @ApiModelProperty("审核状态【-1退回首岗 0退回 1通过】")
    private Integer auditState;

    @ApiModelProperty("审核意见")
    private String auditMsg;

    @ApiModelProperty("下一级审核人【购买方财务人员】")
    private String nextAuditUser;

    @ApiModelProperty("下一级审核人【销售方财务人员】")
    private String nextAuditUser2;

}
