package com.ruoyi.hywz.entity.po;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: jxh
 * @description:
 * @create: 2024/4/9
 */
@Data
public class InvoiceImportPO {

    @ApiModelProperty(value = "批次号")
    @ExcelProperty(index = 1)
    private String batchNo;

//    @ApiModelProperty(value = "申请日期")
//    @ExcelProperty(index = 2)
//    private String applyDate;

    @ApiModelProperty(value = "销售方")
    @ExcelProperty(index = 2)
    private String seller;

    @ApiModelProperty(value = "购买方")
    @ExcelProperty(index = 3)
    private String buyer;

    @ApiModelProperty(value = "主业WBS编码")
    @ExcelProperty(index = 4)
    private String projectNo;

    @ApiModelProperty(value = "主业项目名称")
    @ExcelProperty(index = 5)
    private String projectName;

    @ApiModelProperty(value = "产业项目编码")
    @ExcelProperty(index = 6)
    private String ynProjectNo;

    @ApiModelProperty(value = "产业项目名称")
    @ExcelProperty(index = 7)
    private String ynProjectName;

    @ApiModelProperty(value = "申请单分类")
    @ExcelProperty(index = 8)
    private String applyType;

    @ApiModelProperty(value = "费用类型")
    @ExcelProperty(index = 9)
    private String costType;

    @ApiModelProperty(value = "合同金额")
    @ExcelProperty(index = 10)
    private String contractAmount;

//    @ApiModelProperty(value = "可用预算")
//    @ExcelProperty(index = 11)
//    private String validBudgetAmount;

    @ApiModelProperty(value = "本次开票金额（含税）")
    @ExcelProperty(index = 11)
    private String taxAmount;

    @ApiModelProperty(value = "税率")
    @ExcelProperty(index = 12)
    private String taxRate;

    @ApiModelProperty(value = "收票人（购买方业务人员）")
    @ExcelProperty(index = 13)
    private String taker;

    @ApiModelProperty(value = "收票单位（部门）")
    @ExcelProperty(index = 14)
    private String takerUnit;

    @ApiModelProperty(value = "联系电话")
    @ExcelProperty(index = 15)
    private String telephone;

    @ApiModelProperty(value = "返回唯一标识")
    private Integer numberPar;

}
