package com.ruoyi.hywz.entity.vo.stamp.tax;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author: jxh
 * @description:
 * @create: 2024/9/2
 */
@Data
public class WarningDataVo {

    private String id;

    @ApiModelProperty(value = "数据来源【0合同信息表 1发票信息表】")
    private Integer sourceType;

    @ApiModelProperty(value = "稽核公式")
    private String checkGist;

    @ApiModelProperty(value = "风险等级【强控 弱控】")
    private String warningLevel;

    @ApiModelProperty(value = "潜在风险预警（内容描述）")
    private String content;

    @ApiModelProperty(value = "状态【0未处理 1已处理】")
    private String statusDesc;

    @ApiModelProperty(value = "反馈内容")
    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
