package com.ruoyi.hywz.service;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.hywz.entity.AdsMatHyxtTaskSendMsgD;

/**
 * @author: jxh
 * @description: i国网相关接口
 * @create: 2024/4/15
 */
public interface IAdsMatHyxtIAppService {

    /**
     * i国网短信提醒
     * @param openTask 开启定时发送任务
     * @param addLog 是否保存这个发送记录
     */
    void sendApp(String applyId, String msg, String node, SysUser owner, boolean openTask, boolean addLog);

    /**
     * 发邮件
     */
    void sendMail(SysUser owner, String msg);

    /**
     * i国网短信提醒
     * @param addLog 是否保存这个发送记录
     */
    void sendApp(AdsMatHyxtTaskSendMsgD task, boolean addLog);

}
