package com.ruoyi.hywz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxComputeD;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxItemD;
import com.ruoyi.hywz.entity.po.DateQueryPO;
import com.ruoyi.hywz.entity.po.StampTaxComputeSavePO;
import com.ruoyi.hywz.entity.vo.stamp.tax.StampTaxBaseVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-07-14 10:07:56
 */
public interface IAdsMatHyxtStampTaxComputeDService extends IService<AdsMatHyxtStampTaxComputeD> {

    /**
     * 分页查询
     */
    R queryPage(@RequestParam(defaultValue = "10") Long pageSize,
                @RequestParam(defaultValue = "1") Long pageNo,
                @RequestBody(required = false) AdsMatHyxtStampTaxComputeD param);

    /**
     * 印花税税基表
     */
    List<StampTaxBaseVo> getStampTaxBaseTable(String startDate, String endDate, String orgNo);

    List<AdsMatHyxtStampTaxItemD> getStampTaxStatiss(String year, String orgNo);

    /**
     * 印花税计算单
     */
    List<StampTaxBaseVo> getStampTaxComputeBill(String startDate, String endDate, String orgNo);

    /**
     * 印花税计算表保存
     */
    R stampTaxComputeSave(StampTaxComputeSavePO param);

    AdsMatHyxtStampTaxComputeD getOne(String orgNo, String date);

}
