package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 违章周统计对象 pdm_report_illegal_week
 *
 * @author ruoyi
 * @date 2024-11-29
 */
public class PdmReportIllegalWeek extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 单位 */
    @Excel(name = "单位")
    private String company;

    /** 开始日期 */
    @Excel(name = "开始日期")
    private String reportDate;

    /** 结束日期 */
    @Excel(name = "结束日期")
    private String reportEndDate;

    /** 省违章数(严重) */
    @Excel(name = "省违章数(严重)")
    private Integer provinceNum1;

    /** 省违章数(一般) */
    @Excel(name = "省违章数(一般)")
    private Integer provinceNum2;

    /** 市违章数(严重) */
    @Excel(name = "市违章数(严重)")
    private Integer cityNum1;

    /** 市违章数(一般) */
    @Excel(name = "市违章数(一般)")
    private Integer cityNum2;

    /** 县违章数(严重) */
    @Excel(name = "县违章数(严重)")
    private Integer countyNum1;

    /** 县违章数(一般) */
    @Excel(name = "县违章数(一般)")
    private Integer countyNum2;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getCompany()
    {
        return company;
    }
    public void setReportDate(String reportDate)
    {
        this.reportDate = reportDate;
    }

    public String getReportDate()
    {
        return reportDate;
    }
    public void setReportEndDate(String reportEndDate)
    {
        this.reportEndDate = reportEndDate;
    }

    public String getReportEndDate()
    {
        return reportEndDate;
    }
    public void setProvinceNum1(Integer provinceNum1)
    {
        this.provinceNum1 = provinceNum1;
    }

    public Integer getProvinceNum1()
    {
        return provinceNum1;
    }
    public void setProvinceNum2(Integer provinceNum2)
    {
        this.provinceNum2 = provinceNum2;
    }

    public Integer getProvinceNum2()
    {
        return provinceNum2;
    }
    public void setCityNum1(Integer cityNum1)
    {
        this.cityNum1 = cityNum1;
    }

    public Integer getCityNum1()
    {
        return cityNum1;
    }
    public void setCityNum2(Integer cityNum2)
    {
        this.cityNum2 = cityNum2;
    }

    public Integer getCityNum2()
    {
        return cityNum2;
    }
    public void setCountyNum1(Integer countyNum1)
    {
        this.countyNum1 = countyNum1;
    }

    public Integer getCountyNum1()
    {
        return countyNum1;
    }
    public void setCountyNum2(Integer countyNum2)
    {
        this.countyNum2 = countyNum2;
    }

    public Integer getCountyNum2()
    {
        return countyNum2;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompany())
            .append("reportDate", getReportDate())
            .append("reportEndDate", getReportEndDate())
            .append("provinceNum1", getProvinceNum1())
            .append("provinceNum2", getProvinceNum2())
            .append("cityNum1", getCityNum1())
            .append("cityNum2", getCityNum2())
            .append("countyNum1", getCountyNum1())
            .append("countyNum2", getCountyNum2())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
