package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmReportPlanWeek;

/**
 * 工作计划完成情况周统计Service接口
 *
 * @author ruoyi
 * @date 2024-11-29
 */
public interface IPdmReportPlanWeekService
{
    /**
     * 查询工作计划完成情况周统计
     *
     * @param id 工作计划完成情况周统计主键
     * @return 工作计划完成情况周统计
     */
    public PdmReportPlanWeek selectPdmReportPlanWeekById(Long id);

    /**
     * 查询工作计划完成情况周统计列表
     *
     * @param pdmReportPlanWeek 工作计划完成情况周统计
     * @return 工作计划完成情况周统计集合
     */
    public List<PdmReportPlanWeek> selectPdmReportPlanWeekList(PdmReportPlanWeek pdmReportPlanWeek);

    /**
     * 新增工作计划完成情况周统计
     *
     * @param pdmReportPlanWeek 工作计划完成情况周统计
     * @return 结果
     */
    public int insertPdmReportPlanWeek(PdmReportPlanWeek pdmReportPlanWeek);

    /**
     * 修改工作计划完成情况周统计
     *
     * @param pdmReportPlanWeek 工作计划完成情况周统计
     * @return 结果
     */
    public int updatePdmReportPlanWeek(PdmReportPlanWeek pdmReportPlanWeek);

    /**
     * 批量删除工作计划完成情况周统计
     *
     * @param ids 需要删除的工作计划完成情况周统计主键集合
     * @return 结果
     */
    public int deletePdmReportPlanWeekByIds(Long[] ids);

    /**
     * 删除工作计划完成情况周统计信息
     *
     * @param id 工作计划完成情况周统计主键
     * @return 结果
     */
    public int deletePdmReportPlanWeekById(Long id);
}
